package com.koobietech.eas.mbg.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class EasArcTlsScores implements Serializable {
    /**
     * ID
     *
     * @mbg.generated
     */
    @Schema(description = "ID")
    private Integer id;

    /**
     * 学员档案
     *
     * @mbg.generated
     */
    @Schema(description = "学员档案")
    private String studentNumber;

    /**
     * 类目ID
     *
     * @mbg.generated
     */
    @Schema(description = "类目ID")
    private Integer categoryId;

    /**
     * 科目ID
     *
     * @mbg.generated
     */
    @Schema(description = "科目ID")
    private Integer subjectId;

    /**
     * 考试时间
     *
     * @mbg.generated
     */
    @Schema(description = "考试时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date testDate;

    /**
     * 分数
     *
     * @mbg.generated
     */
    @Schema(description = "分数")
    private BigDecimal score;

    /**
     * 通过率
     *
     * @mbg.generated
     */
    @Schema(description = "通过率")
    private BigDecimal passRate;

    /**
     * 及格率
     *
     * @mbg.generated
     */
    @Schema(description = "及格率")
    private BigDecimal excelRate;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @Schema(description = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    @Schema(description = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date modifyTime;

    /**
     * 创建用户ID
     *
     * @mbg.generated
     */
    @Schema(description = "创建用户ID")
    private Integer createUid;

    /**
     * 考试备注信息  如 第二次考试  第三次考试
     *
     * @mbg.generated
     */
    @Schema(description = "考试备注信息  如 第二次考试  第三次考试")
    private String comment;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getStudentNumber() {
        return studentNumber;
    }

    public void setStudentNumber(String studentNumber) {
        this.studentNumber = studentNumber == null ? null : studentNumber.trim();
    }

    public Integer getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Integer categoryId) {
        this.categoryId = categoryId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Date getTestDate() {
        return testDate;
    }

    public void setTestDate(Date testDate) {
        this.testDate = testDate;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public BigDecimal getPassRate() {
        return passRate;
    }

    public void setPassRate(BigDecimal passRate) {
        this.passRate = passRate;
    }

    public BigDecimal getExcelRate() {
        return excelRate;
    }

    public void setExcelRate(BigDecimal excelRate) {
        this.excelRate = excelRate;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getCreateUid() {
        return createUid;
    }

    public void setCreateUid(Integer createUid) {
        this.createUid = createUid;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment == null ? null : comment.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", studentNumber=").append(studentNumber);
        sb.append(", categoryId=").append(categoryId);
        sb.append(", subjectId=").append(subjectId);
        sb.append(", testDate=").append(testDate);
        sb.append(", score=").append(score);
        sb.append(", passRate=").append(passRate);
        sb.append(", excelRate=").append(excelRate);
        sb.append(", createTime=").append(createTime);
        sb.append(", modifyTime=").append(modifyTime);
        sb.append(", createUid=").append(createUid);
        sb.append(", comment=").append(comment);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}